<!-- Page Heading -->
<div class="row mar-20">
    <div class="col-lg-8">
        <h1><a ui-sref="dashboard.providers"> Providers </a> /  <small> {{  method }} provider</small></h1>
    </div>

</div>
<!-- /.row -->



<div class="row">
    <div class="col-lg-4">
        <header class="panel-heading font-bold">
          <h4> {{ provider.name }}</h4>
      </header>
      <section class="panel panel-default">

        <div class="panel-body">


        <form name="providerForm" role="form" >

            <div class="form-group">
                <label>Provider Name *</label>
                <input class="form-control" ng-model="provider.name" placeholder="Enter provider name" required="">
            </div>

            <div class="form-group">
                <label for="">Logo</label>
                <div class="block">
                    <span class="btn btn-lg btn-success  btn-file" ng-hide="provider.logo">
                        <i class="fa fa-upload fa-plus-padd"></i>Upload
                        <input type="file"  nv-file-select="" options="{{ logo_uploader_options }}" uploader="logo_uploader"  >
                    </span>
                    <a ng-show="provider.logo" ng-click="provider.logo=''" class="btn btn-lg btn-danger"> <i class="fa fa-trash-o"></i>  Remove </a>

                    <div class="pull-right progress ah-progress-bar" ng-show="logo_uploader.isUploading"  >
                        <div  class="progress-bar progress-bar-success" role="progressbar" ng-style="{ 'width': logo_uploader.progress + '%' }"> {{ logo_uploader.progress }} %</div>
                    </div>
                </div>
                <br/>
                <img width="200px" ng-show="provider.logo" src="{{ provider.logo_file | AppStorage }}">
            </div>

            <div class="form-group">
                <label>User *</label>
                <select class="form-control" ng-model="provider.user" required="">
                    <option>Select User</option>
                    <option ng-repeat="user in users" value="{{ user.id }}" ng-selected="user.id==provider.user">{{ user.username }}</option>
                </select>
            </div>

            <div class="form-group">
                <label>Phone *</label>
                <input type="text" class="form-control" ng-model="provider.phone" placeholder="Enter  phone number" required="">
            </div>

            <div class="form-group">
                <label>Email *</label>
                <input type="email" class="form-control" ng-model="provider.email" placeholder="Enter  email" required="">
            </div>

            <div class="form-group">
                <label>City *</label>
                <input class="form-control" ng-model="provider.city" placeholder="Enter  city name" required="">
            </div>

            <div class="form-group">
                <label>Country *</label>
                <select ng-model="provider.country" class="form-control" required="">
                    <option value="{{ key }}" ng-repeat="(key, value) in countries">{{ value }}</option>
                </select>
            </div>

            <div class="form-group">
                <label>Contact Name</label>
                <input class="form-control" ng-model="provider.primary_name" placeholder="Enter  contact name">
            </div>

            <div class="form-group">
                <label>Contact Emails</label>
                <textarea class="form-control" ng-model="provider.primary_email" placeholder="Enter  contact email address"></textarea>
                <small>Multiple emails must separate with space " " </small>
            </div>

            <div class="form-group">
                <label>Contact Phone</label>
                <input class="form-control" ng-model="provider.primary_phone" placeholder="Enter contact phone">
            </div>
            <div class="form-group">
                <label>Routine turnaround time (Hours)</label>
                <input type="number" class="form-control" ng-model="provider.routine_turnaround" placeholder="Enter routine turnaround time">
            </div>
            <div class="form-group">
                <label>Stat turnaround time (Hours)</label>
                <input type="number" class="form-control" ng-model="provider.stat_turnaround" placeholder="Enter stat turnaround time">
            </div>

            <hr/>

            <div class="form-group">
                <label>Server IP address *</label>
                <input class="form-control" name="host" ng-model="provider.host" ng-pattern='/\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/'
          placeholder='xxx.xxx.xxx.xxx'   required="">
                <span class="has-block has-error text-danger" ng-show="providerForm.host.$dirty && providerForm.host.$invalid">Invalid IP address</span>
            </div>

            <div class="form-group">
                <label>Port number *</label>
                <input type="text" class="form-control" ng-model="provider.port" placeholder="Enter remote server port number" required="">
            </div>

            <div class="form-group">
                <label>AE title *</label>
                <input class="form-control" ng-model="provider.ae_title" placeholder="Enter remote server AE title" required="">
            </div>


            <a ng-click="saveProvider()" ng-disabled="!providerForm.$valid" type="submit" class="btn btn-info btn-lg"><i class="fa fa-save"></i>  Save</a>
            <a ui-sref="dashboard.providers"  class="btn btn-warning btn-lg"><i class="fa fa-times"></i>  Cancel</a>
            <a ng-click="openDeleteModal()" class="btn btn-danger btn-lg"><i class="fa fa-trash-o"></i>  Delete</a>

        </form>
        </div>
       </section>
    </div>

</div>